VSTGUI: ViewSizeAnimation Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Protected Attributes | List of all members
ViewSizeAnimation Class Reference
Animation Targets | Version 4.0

animates the view size of the view More...

Inheritance diagram for ViewSizeAnimation:

## Public Member Functions
| ViewSizeAnimation (const CRect &newRect, bool forceEndValueOnFinish=false)
void | animationStart (CView *view, IdStringPtr name) override
| animation starts
void | animationTick (CView *view, IdStringPtr name, float pos) override
| pos is a normalized value between zero and one
void | animationFinished (CView *view, IdStringPtr name, bool wasCanceled) override
| animation ended
Public Member Functions inherited from IAnimationTarget
virtual | ~IAnimationTarget () noexcept=default
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Protected Attributes
CRect | startRect
CRect | newRect
bool | forceEndValueOnFinish

## Detailed Description

animates the view size of the view

see Animations Support

## Constructor & Destructor Documentation

ViewSizeAnimation | ( | const CRect & | newRect,
|  | bool | forceEndValueOnFinish = `false`
| ) |  |

## Member Function Documentation

void animationFinished | ( | CView * | view,
|  | IdStringPtr | name,
|  | bool | wasCanceled
| ) |  |
| overridevirtual

animation ended

Implements IAnimationTarget.

void animationStart | ( | CView * | view,
|  | IdStringPtr | name
| ) |  |
| overridevirtual

animation starts

Implements IAnimationTarget.

void animationTick | ( | CView * | view,
|  | IdStringPtr | name,
|  | float | pos
| ) |  |
| overridevirtual

pos is a normalized value between zero and one

Implements IAnimationTarget.

## Member Data Documentation

bool forceEndValueOnFinish
| protected

CRect newRect
| protected

CRect startRect
| protected

The documentation for this class was generated from the following files:

- animations.h
- animations.cpp